import 'package:flutter/material.dart';
import 'package:vegigo2_ui_common/util/constants.dart';
import 'package:vegigo2_ui_common/theme/colors.dart' as colors;

class CustomSnackBar extends SnackBar {
  final String text;
  final TextStyle textStyle;
  final Color iconColor;
  final Color backgroundColor;
  final Duration duration;

  CustomSnackBar({
    @required this.text,
    this.textStyle = const TextStyle(color: Colors.white),
    this.iconColor = Colors.white,
    this.backgroundColor = colors.COLOR_PRIMARY,
    this.duration = const Duration(seconds: 5),
  }) : super(
    content:  Row(
      children: [
        Padding(
            padding: EdgeInsets.only(right: 7),
            child: Icon(
              Icons.info_outlined,
              color: iconColor,
            )
        ),
        Text(
          text,
          style: textStyle,
        ),
      ],
    ),
    backgroundColor: backgroundColor,
    action: SnackBarAction(
      label: Constants.SHOW_SNACK_BAR_ACTION_TEXT,
      textColor: colors.COLOR_SECONDARY,
      onPressed: () { },
    ),
    behavior: SnackBarBehavior.floating,
    shape: RoundedRectangleBorder(
      borderRadius: BorderRadius.circular(13),
    ),
    duration: duration,
  );
}